APRInitializer Class Reference

## Public Member Functions

| ~APRInitializer ()

## Static Public Member Functions

static log4cxx_time_t | initialize ()
static apr_pool_t * | getRootPool ()
static apr_threadkey_t * | getTlsKey ()
static void | registerCleanup (FileWatchdog *watchdog)
| Register a FileWatchdog for deletion prior to APR termination. More...
static void | unregisterCleanup (FileWatchdog *watchdog)

## Static Public Attributes

static bool | isDestructed

## Constructor & Destructor Documentation

## ~APRInitializer()

~APRInitializer | ( |  | ) |

## Member Function Documentation

## getRootPool()

static apr_pool_t* getRootPool | ( |  | ) |

static

## getTlsKey()

static apr_threadkey_t* getTlsKey | ( |  | ) |

static

## initialize()

static log4cxx_time_t initialize | ( |  | ) |

static

## registerCleanup()

static void registerCleanup | ( | FileWatchdog * | watchdog | ) |

static

Register a FileWatchdog for deletion prior to APR termination.

FileWatchdog must be allocated on heap and not deleted elsewhere.

## unregisterCleanup()

static void unregisterCleanup | ( | FileWatchdog * | watchdog | ) |

static

## Member Data Documentation

## isDestructed

bool isDestructed

static

The documentation for this class was generated from the following file:

- aprinitializer.h